Summary:	Firmware extraction tools for Apple Built-in iSight camera
Name:		isight-firmware-tools
Version:	1.0.2
Release:	2%{dist}
License:	GPLv2+
Group:		System Environment/Base
URL:		http://bersace03.free.fr/ift/
Source0:	http://bersace03.free.fr/ift/%{name}-%{version}.tar.gz

Patch0:		%{name}-%{version}-open.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	udev
Requires(post):	/sbin/install-info
Requires(preun): /sbin/install-info

BuildRequires:	gettext
BuildRequires:	glib2-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	libusb-devel
BuildRequires:	perl(XML::Parser)

%description
iSight Firmware Tools provide tools to manipulate firmware for Built-in iSight
cameras found on Apple machines since iMac G5 (November 2005).

%prep
%setup -q
%patch0 -p1

# Fix broken path.
sed --in-place --expression 's|@udevdir@|%{_libdir}/udev|g' isight.rules.in

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

# Use %doc instead.
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/ift-export.info %{_infodir}/dir || :
/sbin/install-info %{_infodir}/ift-extract.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/ift-export.info %{_infodir}/dir || :
  /sbin/install-info --delete %{_infodir}/ift-extract.info %{_infodir}/dir || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/udev/rules.d/isight.rules
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc HOWTO
%doc NEWS
%doc README
%{_bindir}/ift-export
%{_bindir}/ift-extract
%{_infodir}/ift-export.info.gz
%{_infodir}/ift-extract.info.gz
%{_libdir}/udev/ift-load
%{_mandir}/man1/ift-export.1.gz
%{_mandir}/man1/ift-extract.1.gz

%changelog
* Mon Mar 24 2008 Debarshi Ray <rishi@fedoraproject.org> - 1.0.2-2
- Fixed broken path to /usr/lib/udev in isight.rules.

* Fri Mar 21 2008 Debarshi Ray <rishi@fedoraproject.org> - 1.0.2-1
- Initial build.
